;;;; -*- Mode: Lisp; Package: ASDF; -*-
;;;; $Id: asn.1.asd 482 2008-09-08 05:20:45Z binghe $

(in-package :asdf)

(defsystem asn.1
  :description "ASN.1 for Common Lisp"
  :version "4.0"
  :author "Chun Tian (binghe) <binghe.lisp@gmail.com>"
  :depends-on (:usocket
	       :trivial-gray-streams
	       :ieee-floats)
  :components ((:file "package")
               (:module "runtime"
                :depends-on ("package")
		:components ((:file "constants")
			     (:file "base")
                             (:file "condition")
			     (:file "ber" :depends-on ("condition" "constants" "base"))
			     (:file "object-id" :depends-on ("ber"))
                             (:file "oid-walk" :depends-on ("object-id"))
                             (:file "integer" :depends-on ("ber"))
                             (:file "null" :depends-on ("ber"))
                             (:file "sequence" :depends-on ("ber"))
                             (:file "string" :depends-on ("ber"))
                             (:file "ipaddress" :depends-on ("ber"))
                             (:file "counter" :depends-on ("ber"))
                             (:file "gauge" :depends-on ("ber"))
                             (:file "timeticks" :depends-on ("ber"))
                             (:file "opaque" :depends-on ("ber"))
                             #+(and lispworks capi)
                             (:file "mibrowser" :depends-on ("object-id"))))
               #+lispworks
	       (:module "compiler"
                :depends-on ("runtime")
		:components ((:file "reader")
			     (:file "syntax")
			     (:file "parser" :depends-on ("reader" "syntax"))
                             (:file "compile-type")
                             (:file "sort")
                             (:file "compiler" :depends-on ("sort" "parser" "compile-type"))
                             (:file "interpreter" :depends-on ("compiler"))))))
